# Class BaseComponent

## Index

### Methods

- debugInfo
- disable
- enable

### Properties

- disabled
- logger
- ID

## Methods

### debugInfo

- debugInfo(): any

- - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

## Properties

### disabled

disabled: boolean

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

- Defined in ui/Base/BaseComponent.ts :18

### Static ID

ID: string

- Defined in ui/Base/BaseComponent.ts :28

### Hierarchy

- BaseComponent